classification
Title: 2to3 print(single argument)
Type: behavior Stage:
Components: 2to3 (2.x to 3.x conversion tool) Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, eric.araujo, hfuru, terry.reedy
Priority: normal Keywords:

Created on 2010-11-09 14:12 by hfuru, last changed 2013-11-05 03:21 by terry.reedy. This issue is now closed.

Messages (5)
msg120866 - (view) Author: Hallvard B Furuseth (hfuru) Date: 2010-11-09 14:12
Could 2to3 without -p notice more cases of print(single argument),
to avoid slapping another () around them?  For example:

  print(2*3)
  print(", ".join(dir))
  print(very + long
        + single + argument)

My internal bug detector zooms in on ((foo)) when I read Python code -
I'm seeing code where something was apparently left out, maybe an inner
comma to make it a tuple.

[Copied from Issue10070.]
msg121055 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-11-12 18:57
>[Copied from Issue10070.]
which is to say (for the benefit of other reviewers):
This was a minor sub-issue mentioned there in passing and independent of the main issue and ignored in the extensive discussion thereof.
msg202187 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-11-05 03:09
Benjamin, is the idea even feasible, or should this be closed?
msg202188 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2013-11-05 03:11
Probably, but I'm not going to do it.

2013/11/4 Terry J. Reedy <report@bugs.python.org>:
>
> Terry J. Reedy added the comment:
>
> Benjamin, is the idea even feasible, or should this be closed?
>
> ----------
> versions: +Python 3.3, Python 3.4 -Python 3.1, Python 3.2
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue10375>
> _______________________________________
msg202190 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-11-05 03:21
I'll close this then, as it will never happen.
History
Date User Action Args
2013-11-05 03:21:34terry.reedysetstatus: open -> closed
resolution: rejected
messages: + msg202190
2013-11-05 03:11:57benjamin.petersonsetmessages: + msg202188
2013-11-05 03:09:31terry.reedysetmessages: + msg202187
versions: + Python 3.3, Python 3.4, - Python 3.1, Python 3.2
2010-11-12 18:57:08terry.reedysetnosy: + terry.reedy
messages: + msg121055
2010-11-11 15:24:39eric.araujosetnosy: + benjamin.peterson, eric.araujo
2010-11-09 14:12:20hfurucreate